Bug 250476 - devel/php-composer: Update to 1.10.15
Summary: devel/php-composer: Update to 1.10.15
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Guido Falsi
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-10-19 20:31 UTC by Naram Qashat
Modified: 2020-10-23 07:39 UTC (History)
1 user (show)

See Also:


Attachments
php-composer-1.10.5.patch (873 bytes, patch)
2020-10-19 20:31 UTC, Naram Qashat
no flags Details | Diff
php-composer-1.10.15.patch (879 bytes, patch)
2020-10-20 15:40 UTC, Naram Qashat
cyberbotx: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Naram Qashat 2020-10-19 20:31:38 UTC
Created attachment 218905 [details]
php-composer-1.10.5.patch

* Update to 1.10.15
* Update distinfo

Changelogs:

https://getcomposer.org/changelog/1.10.11
https://getcomposer.org/changelog/1.10.12
https://getcomposer.org/changelog/1.10.13
https://getcomposer.org/changelog/1.10.14
https://getcomposer.org/changelog/1.10.14

As the port has no build process and is just a PHP script, I did not test it in poudriere. Passes portlint.
Comment 1 Guido Falsi freebsd_committer 2020-10-20 07:21:52 UTC
The patch is actually downgrading to 1.10.5, and is doing so starting from 1.10.0, looks like it was created against an outdated ports tree too.

Could you send a correct patch?
Comment 2 Naram Qashat 2020-10-20 15:40:36 UTC
Created attachment 218919 [details]
php-composer-1.10.15.patch

Whoops, no, that was my bad, I selected the wrong file (I named the file locally a bit off), this is the correct patch.
Comment 3 commit-hook freebsd_committer 2020-10-23 07:38:22 UTC
A commit references this bug:

Author: madpilot
Date: Fri Oct 23 07:37:59 UTC 2020
New revision: 553091
URL: https://svnweb.freebsd.org/changeset/ports/553091

Log:
  Update php-composer to 1.10.15

  PR:		250476
  Submitted by:	Naram Qashat <cyberbotx@cyberbotx.com> (maintainer)

Changes:
  head/devel/php-composer/Makefile
  head/devel/php-composer/distinfo
Comment 4 Guido Falsi freebsd_committer 2020-10-23 07:39:03 UTC
Committed. Thanks!